View (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.hqu.server.session.View class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.hqu.server.session
Class View

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.hqu.server.session.View

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ViewAdmin, ViewMasthead, ViewResource

    public abstract class View

extends PersistedObject

See Also:
  Serialized Form

Constructor Summary
`protected` | `View()`
`protected` | `View(UIPlugin plugin, ViewDescriptor view, AttachType attach)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.util.Collection` | `getAttachments()`
`protected java.util.Collection` | `getAttachmentsBag()`
`AttachType` | `getAttachType()`
`protected int` | `getAttachTypeEnum()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getPath()`
`UIPlugin` | `getPlugin()`
`int` | `hashCode()`
`protected void` | `setAttachmentsBag(java.util.Collection a)`
`protected void` | `setAttachTypeEnum(int code)`
`protected void` | `setDescription(java.lang.String descr)`
`protected void` | `setPath(java.lang.String path)`
`protected void` | `setPlugin(UIPlugin plugin)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### View

    protected View()

### View

    protected View(UIPlugin plugin,
                   ViewDescriptor view,
                   AttachType attach)

Method Detail

### getPlugin

    public UIPlugin getPlugin()

### setPlugin

    protected void setPlugin(UIPlugin plugin)

### getPath

    public java.lang.String getPath()

### setPath

    protected void setPath(java.lang.String path)

### getDescription

    public java.lang.String getDescription()

### setDescription

    protected void setDescription(java.lang.String descr)

### getAttachTypeEnum

    protected int getAttachTypeEnum()

### setAttachTypeEnum

    protected void setAttachTypeEnum(int code)

### getAttachType

    public AttachType getAttachType()

### getAttachmentsBag

    protected java.util.Collection getAttachmentsBag()

### setAttachmentsBag

    protected void setAttachmentsBag(java.util.Collection a)

### getAttachments

    public java.util.Collection getAttachments()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `PersistedObject`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PersistedObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.